#include "audiolayerwidget.h"

AudioLayerWidget::AudioLayerWidget(QWidget *parent, QString name):
    QGroupBox(parent)
{
    Q_UNUSED(parent);
    this->setTitle(name);
    folder = new QLabel(this);
    folder->setMaximumWidth(150);
    file = new QLabel(this);
    file->setMaximumWidth(150);
    status = new QLabel(this);
    vol = new QSlider(Qt::Horizontal, this);
    vol->setMaximum(99);
    vol->setMaximumWidth(150);
//    mute = new QCheckBox(this);

    QVBoxLayout *vbox = new QVBoxLayout;
    vbox->addWidget(folder);
    vbox->addWidget(file);
    vbox->addWidget(status);
    vbox->addWidget(vol);
//    vbox->addWidget(mute);
    this->setLayout(vbox);
}

AudioLayerWidget::~AudioLayerWidget()
{

}

